/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      ------------------      \_/                      *
*                /_\        Black vs White        /_\                      *
*                                                                          *
***************************************************************************/
/* Header Files */
#include <iostream>
#include <string>

//------------------------------------------------------------------------

using namespace std;

//------------------------------------------------------------------------

/* Global Definitions */
const unsigned short int high = 9;
const unsigned short int low = 10;

string human;
string computer;

//------------------------------------------------------------------------

/* Functions */
void drawBoard();
void displayBoard();

//------------------------------------------------------------------------

/* Main Program */
int main()
{ 
	drawBoard();
	displayBoard();
	
	return 0;
}

//------------------------------------------------------------------------

/* Draw Chess Board */
void drawBoard()
{
	
	cout << "\n\n\tWelcome to Chess Board\n\n";
		
	cout << "   | a | b | c | d | e | f | g | h |\n";
	cout << " --+---+---+---+---+---+---+---+---+---\n";
	cout << "  8  a8  b8  c8  d8  e8  f8  g8  h8  8 \n\n";
	cout << "  7  a7  b7  c7  d7  e7  f7  g7  h7  7 \n\n";
	cout << "  6  a6  b6  c6  d6  e6  f6  g6  h6  6 \n\n";
	cout << "  5  a5  b5  c5  d5  e5  f5  g5  h5  5 \n\n";
	cout << "  4  a4  b4  c4  d4  e4  f4  g4  h4  4 \n\n";
	cout << "  3  a3  b3  c3  d3  e3  f3  g3  h3  3 \n\n";
	cout << "  2  a2  b2  c2  d2  e2  f2  g2  h2  2 \n\n";
	cout << "  1  a1  b1  c1  d1  e1  f1  g1  h1  1 \n";
	cout << " --+---+---+---+---+---+---+---+---+---\n";
	cout << "   | a | b | c | d | e | f | g | h |\n\n";
		
		
	cout << "Human: ";
	cin >> human;
	cout << "Computer: ";
	cin >> computer;
}
	
//------------------------------------------------------------------------

/* Dispaly Chess Board */
void displayBoard()
{	
	/* Chess Board Matrix */	
	int cb[12][12] = {{0,1,2,3,4,5,6,7,8},
			  {0,11,11,11,11,11,11,11,11},
			  {0,11,11,11,11,11,11,11,11},
			  {0,11,11,11,11,11,11,11,11},
			  {0,11,11,11,11,11,11,11,11},
			  {0,11,11,11,11,11,11,11,11},
			  {0,11,11,11,11,11,11,11,11},
			  {0,11,11,11,11,11,11,11,11},
			  {0,11,11,11,11,11,11,11,11},
			  {0,1,2,3,4,5,6,7,8}};
		
	//----------------------------------------------------------------

		
		/* White */
		cb[1][1] = 26;
		cb[2][1] = 28;
		cb[3][1] = 27;
		cb[4][1] = 25;
		cb[5][1] = 24;
		cb[6][1] = 27;
		cb[7][1] = 28;
		cb[8][1] = 26; 
					
		cb[1][2] = 20; 
		cb[2][2] = 20;
		cb[3][2] = 20;
		cb[4][2] = 20;
		cb[5][2] = 20;
		cb[6][2] = 20;
		cb[7][2] = 20;
		cb[8][2] = 20; 
				
				
		/* Black */
		cb[1][7] = 30; 
		cb[2][7] = 30;
		cb[3][7] = 30;
		cb[4][7] = 30;
		cb[5][7] = 30;
		cb[6][7] = 30;
		cb[7][7] = 30;
		cb[8][7] = 30;
				
		cb[1][8] = 36; 
		cb[2][8] = 38;
		cb[3][8] = 37;
		cb[4][8] = 35;
		cb[5][8] = 34;
		cb[6][8] = 37;
		cb[7][8] = 38;
		cb[8][8] = 36;
		
	//----------------------------------------------------------------
	
	unsigned short int m = 2;
	unsigned short int c = 1;
	unsigned short int h = 1;
	
	char question;
	while(question != 'Q')
	{
		/* Chess Board */
		unsigned short int y;
		unsigned short int x;
		
		cout << "\n   | a | b | c | d | e | f | g | h |\n";
		cout << " --+---+---+---+---+---+---+---+---+---\n";
			
		for(y = 1; y < high; ++y)
		{	
			for(x = 0; x < low; ++x)
			{	
				cout << "  " << cb[x][y];
			}
			cout << "\n\n";
		}	
		cout << " --+---+---+---+---+---+---+---+---+--\n";
		cout << "   | a | b | c | d | e | f | g | h |\n\n";
		
		//--------------------------------------------------------
		
		/* Move From */
		char fxdecimal;
		char fydecimal;
		char txdecimal;
		char tydecimal;
		unsigned short int fxmove;
		unsigned short int txmove;
		unsigned short int fymove;
		unsigned short int tymove;
		//unsigned short int move;
		
		//cout << "Move: ";
		//cin >> move;
		
		cout << "Move: ";
		cin >> fxdecimal;
		cin >> fydecimal;
		cin >> txdecimal;
		cin >> tydecimal;
		
		fxmove = fxdecimal - 96;
		fymove = fydecimal - 48;	
		txmove = txdecimal - 96;
		tymove = tydecimal - 48;
		
		//cout << fxmove);
		//cout << fymove);
		//cout << txmove);
		//cout << tymove);		
		
		cb[txmove][tymove] = cb[fxmove][fymove];
		//cb[txmove][tymove] = move;
		cb[fxmove][fymove] = 11;

		m++;
		
		//--------------------------------------------------------
		
		if( m % 2 )
		{
			cout << "\n" << h++ << ". " << fxdecimal << fymove;
			cout << "/" << txdecimal << tymove;	
			cout << "\t" << human <<"\t\tExit: Q ";
		}
		else
		{
			cout << "\n" << c++ << ". " << fxdecimal << fymove;
			cout << "/" << txdecimal << tymove;	
			cout << "\t" << computer <<"\t\tExit: Q ";
		}
		
		/* Exit Chess Board */
		cin >> question;		
	}
}

//------------------------------------------------------------------------


