/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      ------------------      \_/                      *
*                /_\        Black vs White        /_\                      *
*                                                                          *
***************************************************************************/
/* Header Files */
#include <stdio.h>

//------------------------------------------------------------------------

/* Global Definitions */
const unsigned short int high = 9;
const unsigned short int low = 10;

char human[20];
char computer[20];

//------------------------------------------------------------------------

/* Functions */
void drawBoard();
void displayBoard();

//------------------------------------------------------------------------

/* Main Program */
int main()
{ 
	drawBoard();
	displayBoard();
	
	return 0;
}

//------------------------------------------------------------------------

/* Draw Chess Board */
void drawBoard()
{
	printf("\n\n\tWelcome to Chess Board\n\n");
		
	printf("   | a | b | c | d | e | f | g | h |\n");
	printf(" --+---+---+---+---+---+---+---+---+---\n");
	printf("  8  a8  b8  c8  d8  e8  f8  g8  h8  8 \n\n");
	printf("  7  a7  b7  c7  d7  e7  f7  g7  h7  7 \n\n");
	printf("  6  a6  b6  c6  d6  e6  f6  g6  h6  6 \n\n");
	printf("  5  a5  b5  c5  d5  e5  f5  g5  h5  5 \n\n");
	printf("  4  a4  b4  c4  d4  e4  f4  g4  h4  4 \n\n");
	printf("  3  a3  b3  c3  d3  e3  f3  g3  h3  3 \n\n");
	printf("  2  a2  b2  c2  d2  e2  f2  g2  h2  2 \n\n");
	printf("  1  a1  b1  c1  d1  e1  f1  g1  h1  1 \n");
	printf(" --+---+---+---+---+---+---+---+---+---\n");
	printf("   | a | b | c | d | e | f | g | h |\n\n");
		

	printf("Human: ");
	scanf("%s", human);
	printf("Computer: ");
	scanf("%s", computer);

}
	
//------------------------------------------------------------------------

/* Dispaly Chess Board */
void displayBoard()
{	
	/* Chess Board Matrix */	
	int cb[12][12] = {{0,1,2,3,4,5,6,7,8},
			  {0,11,11,11,11,11,11,11,11},
			  {0,11,11,11,11,11,11,11,11},
			  {0,11,11,11,11,11,11,11,11},
			  {0,11,11,11,11,11,11,11,11},
			  {0,11,11,11,11,11,11,11,11},
			  {0,11,11,11,11,11,11,11,11},
			  {0,11,11,11,11,11,11,11,11},
			  {0,11,11,11,11,11,11,11,11},
			  {0,1,2,3,4,5,6,7,8}};
		
	//----------------------------------------------------------------

		
		/* White */
		cb[1][1] = 26;
		cb[2][1] = 28;
		cb[3][1] = 27;
		cb[4][1] = 25;
		cb[5][1] = 24;
		cb[6][1] = 27;
		cb[7][1] = 28;
		cb[8][1] = 26; 
					
		cb[1][2] = 20; 
		cb[2][2] = 20;
		cb[3][2] = 20;
		cb[4][2] = 20;
		cb[5][2] = 20;
		cb[6][2] = 20;
		cb[7][2] = 20;
		cb[8][2] = 20; 
				
				
		/* Black */
		cb[1][7] = 30; 
		cb[2][7] = 30;
		cb[3][7] = 30;
		cb[4][7] = 30;
		cb[5][7] = 30;
		cb[6][7] = 30;
		cb[7][7] = 30;
		cb[8][7] = 30;
				
		cb[1][8] = 36; 
		cb[2][8] = 38;
		cb[3][8] = 37;
		cb[4][8] = 35;
		cb[5][8] = 34;
		cb[6][8] = 37;
		cb[7][8] = 38;
		cb[8][8] = 36;
		
	//----------------------------------------------------------------
	
	unsigned short int m = 2;
	unsigned short int c = 0;
	unsigned short int h = 0; 
	
	char question;
	while(question != 'Q')
	{
		/* Chess Board */
		unsigned short int x;
		unsigned short int y;
		
		printf("\n\n   | a | b | c | d | e | f | g | h |\n");
		printf(" --+---+---+---+---+---+---+---+---+---\n");
			
		for(y = 1; y < high; ++y)
		{	
			for(x = 0; x < low; ++x)
			{	
				printf(" %i ", cb[x][y]);
			}
			printf("\n\n");
		}	
		printf(" --+---+---+---+---+---+---+---+---+--\n");
		printf("   | a | b | c | d | e | f | g | h |\n\n");
		
		//--------------------------------------------------------
		
		/* Move From */
		
		//char fxdecimal;
		//char fydecimal;
		//char txdecimal;
		//char tydecimal;
		unsigned int fxmove;
		unsigned int txmove;
		unsigned int fymove;
		unsigned int tymove;
		unsigned int move;
		
		printf("Move: ");
		scanf("%u", &move);
		 
		printf("Move: ");
		scanf("%u", &fxmove); 
		scanf("%u", &fymove);
		scanf("%u", &txmove); 
		scanf("%u", &tymove);
		
		//fxmove = fxdecimal - 96;
		//fymove = fydecimal - 48;	
		//txmove = txdecimal - 96;
		//tymove = tydecimal - 48;	
		
		//printf("1: %d \n", fxmove);
		//printf("2: %d \n", fymove);
		//printf("3: %d \n", txmove);
		//printf("4: %d \n", tymove);
		
		//cb[txmove][tymove] = cb[fxmove][fymove];
		cb[txmove][tymove] = move;
		cb[fxmove][fymove] = 11;

		m++;
		
		//--------------------------------------------------------
		
		
		if( m % 2 )
		{
			h++;
			printf("\n%d. %u%u", h, fxmove, fymove); 
			printf("/%u%u \t%s", txmove, tymove, human);
			printf("\t\tExit: Q ");	
		}
		else
		{
			c++;
			printf("\n%d. %u%u", c, fxmove, fymove); 
			printf("/%u%u \t%s ", txmove, tymove, computer);
			printf("\t\tExit: Q ");
		}	
		
		/* Exit Chess Board */
		scanf("%c", &question);	
	}
}

//------------------------------------------------------------------------



